Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.guiUtils
Class Token

    java.lang.Object
      uchicago.src.guiUtils.Token

    public class Token

extends java.lang.Object

Field Summary
`static int` | `COMMENT`
`static int` | `EOF`
`static int` | `KEYWORD`
`int` | `length`
`int` | `lineEnd`
`static int` | `NUMBER`
`static int` | `READ_ONLY_SIG`
`int` | `start`
`static int` | `STRING`
`java.lang.String` | `text`
`static int` | `TEXT`
`int` | `type`

Constructor Summary
`Token(int type, java.lang.String text, int line, int start, int length)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### KEYWORD

    public static final int KEYWORD

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### READ_ONLY_SIG

    public static final int READ_ONLY_SIG

See Also:
  Constant Field Values

### lineEnd

    public int lineEnd

### start

    public int start

### length

    public int length

### text

    public java.lang.String text

### type

    public int type

Constructor Detail

### Token

    public Token(int type,
                 java.lang.String text,
                 int line,
                 int start,
                 int length)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD